Summary:	Text widget that extends the standard GTK+ 2.x
Summary(pl.UTF-8):	Widget tekstowy rozszerzający standardowy z GTK+ 2.x
Name:		gtksourceview2
Version:	2.10.5
Release:	4
License:	GPL v2+ and LGPL v2+
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gtksourceview/2.10/gtksourceview-%{version}.tar.bz2
# Source0-md5:	1219ad1694df136f126507466aeb41aa
URL:		http://www.gnome.org/
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake >= 1:1.10.3
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-tools >= 0.17
BuildRequires:	gnome-common >= 2.24.0
BuildRequires:	gtk+2-devel >= 2:2.14.0
BuildRequires:	gtk-doc >= 1.11
BuildRequires:	intltool >= 0.40
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	libxml2-devel >= 1:2.6.31
BuildRequires:	pkgconfig
BuildRequires:	rpm-pythonprov
Requires:	glib2 >= 1:2.24
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GtkSourceView is a text widget that extends the standard GTK+ 2.x text
widget GtkTextView. It improves GtkTextView by implementing syntax
highlighting and other features typical of a source editor.

%description -l pl.UTF-8
GtkSourceView to widget tekstowy rozszerzający standardowy widget
tekstowy GtkTextView z GTK+ 2.x. Ulepsza GtkTextView poprzez
zaimplementowanie podświetlania składni i innych możliwości typowych
dla edytora źródeł.

%package apidocs
Summary:	GtkSourceView API documentation
Summary(pl.UTF-8):	Dokumentacja API GtkSourceView
Group:		Documentation
Requires:	gtk-doc-common
Conflicts:	gtksourceview-apidocs

%description apidocs
GtkSourceView API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API GtkSourceView.

%package devel
Summary:	Header files for GtkSourceView
Summary(pl.UTF-8):	Pliki nagłówkowe dla GtkSourceView
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtk+2-devel >= 2:2.14.0
Requires:	libxml2-devel >= 1:2.6.31

%description devel
Header files for GtkSourceView.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla GtkSourceView.

%package static
Summary:	Static GtkSourceView library
Summary(pl.UTF-8):	Statyczna biblioteka GtkSourceView
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static GtkSourceView library.

%description static -l pl.UTF-8
Statyczna biblioteka GtkSourceView.

%prep
%setup -q -n gtksourceview-%{version}

%build
%{__gtkdocize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-gtk-doc \
	--enable-static \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgtksourceview-2.0.la

%find_lang gtksourceview-2.0

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f gtksourceview-2.0.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog MAINTAINERS NEWS README
%attr(755,root,root) %{_libdir}/libgtksourceview-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgtksourceview-2.0.so.0
%{_datadir}/gtksourceview-2.0

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gtksourceview-2.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgtksourceview-2.0.so
%{_includedir}/gtksourceview-2.0
%{_pkgconfigdir}/gtksourceview-2.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgtksourceview-2.0.a
%changelog
* Sun Mar 01 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gtksourceview2.git;a=log;h=master

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> f6c65dd
- x32 rebuild
- release 4 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 11ae320
- updated gettext BR

* Wed Mar 23 2011 Artur Frysiak <artur@frysiak.net> e542298
- drop libtool file
- rel. 3

* Sat Mar 19 2011 Jakub Bogusz <qboosh@pld-linux.org> 84888df
- updated BRs
- en@shaw is supported now (via LANGUAGE)
- package docs

* Fri Oct 22 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> a6bcffe
- release 2

* Thu Sep 30 2010 Marcin Banasiak <marcin.banasiak@gmail.com> a23bf7f
- updated to 2.10.5

* Tue Jun 22 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 8a7d87d
- updated to 2.10.4

* Fri May 28 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 529266e
- updated to 2.10.3

* Fri May 28 2010 Marcin Banasiak <marcin.banasiak@gmail.com> ab13572
- updated to 2.10.2

* Tue May 18 2010 Elan Ruusamäe <glen@pld-linux.org> 56c1c5d
- glib2 epoch

* Tue May 18 2010 Tomasz Pala <gotar@pld-linux.org> 7dc89b7
- g_malloc_n is only available as of glib2 v2.24

* Tue May 18 2010 Tomasz Pala <gotar@pld-linux.org> 301f3e6
- R: glib2 with g_malloc_n

* Mon Apr 26 2010 Marcin Banasiak <marcin.banasiak@gmail.com> a530f08
- updated to 2.10.1

* Sun Mar 28 2010 Marcin Banasiak <marcin.banasiak@gmail.com> f581628
- updated to 2.10.0; merged from DEVEL

* Wed Feb 10 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 5fc58a0
- release 2

* Mon Dec 21 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 4eb50d2
- updated to 2.8.2

* Sun Nov 29 2009 sparky <sparky@pld-linux.org> ea0feac
- BR: docbook-dtd412-xml, rpm-pythonprov

* Thu Nov 12 2009 Patryk Zawadzki <patrys@room-303.com> 6ce4649
- rebuild
- rel 2

* Mon Oct 12 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 5adefea
- updated to 2.8.1

* Sat Sep 26 2009 Patryk Zawadzki <patrys@room-303.com> 34514cb
- merged from DEVEL

